{{- if .Values.persistence.config.enabled }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: steam-config
  namespace: {{ .Values.namespaceName }}
spec:
  accessModes:
    - ReadWriteOnce
  storageClassName: {{ .Values.persistence.config.storageClass }}
  resources:
    requests:
      storage: {{ .Values.persistence.config.size }}
{{- end }}
